import { SlashCommandBuilder } from "discord.js";
import type { Command } from "../command";

export const numbers: Record<string, string> = {
  "132079479907418113": "20030901-5113", // sverker,
  "294830423912218636": "20031021-3236", // fredrik
  "533598514081693696": "20040703-0022", // fideli,
  "282237160642445312": "20030122-7286", // linnea
  "269503767232249856": "20030606-1417", // alfred
  "234393030675660800": "20030924-9597", // sigge
  "202112342660481033": "20030720-2150", // joel
  "134007088325197824": "20030712-7753", // eric
  "281158186260758529": "20031104-6759", // kim
};

const command: Command = {
  data: new SlashCommandBuilder()
    .setName("sex")
    .setDescription("wouldnt you like to know"),
  execute: async (interaction) => {
    let reply = `du äcklar mig. ${
      numbers[interaction.user.id] || ""
    }. jag trodde bättre om dig.`;

    switch (interaction.user.id) {
      case "282237160642445312":
        reply = `Jag hämtar rep.\nNer på knä. ${numbers[interaction.user.id]} ;)`;
        break;

      case "132079479907418113":
        reply = `det är som i omegaverse. jag är alfa och du är omega. du är min nu ${
          numbers[interaction.user.id]
        }`;
        break;

      case "294830423912218636":
        reply = `Självklart pookie björn :3 ${numbers[interaction.user.id]}`;
        break;

      case "533598514081693696":
        reply += "\ndu borde ta det med fredrik >:(";
        break;

      case "269503767232249856":
        reply += `\ndäremot... tid och plats? >:)`;
        break;

      case "234393030675660800":
        reply += `\ndimman kommer dimman kommer dimman kommer dimman kommer`;
        break;

      case "202112342660481033":
        reply += `\njoel du är för stark för sex... du är för stark för allt`;
        break;

      case "281158186260758529":
        reply += `\nman talar inte om sådant här.`;
        break;

      default:
        reply = "du står på en lista nu. grattis";
        break;
    }

    await interaction.reply({
      content: reply,
      ephemeral: true,
    });
  },
};

export default command;
